## Authorizations
# Uncomment out the merging for each environment that you'd like to include.
# You can also just copy and paste the tree (do not include the "authorizations") to each
# environment if you need something different per environment.
authorizations: &AUTHORIZATIONS
  allow_unauthenticated_bind: false
  group_base: ou=groups,dc=test,dc=com
  ## Requires config.ldap_check_group_membership in devise.rb be true
  # Can have multiple values, must match all to be authorized
  required_groups:
    # If only a group name is given, membership will be checked against "uniqueMember"
    - cn=admins,ou=groups,dc=test,dc=com
    - cn=users,ou=groups,dc=test,dc=com
    # If an array is given, the first element will be the attribute to check against, the second the group name
    - ["moreMembers", "cn=users,ou=groups,dc=test,dc=com"]
  ## Requires config.ldap_check_attributes in devise.rb to be true
  ## Can have multiple attributes and values, must match all to be authorized
  require_attribute:
    objectClass: inetOrgPerson
    authorizationRole: postsAdmin
  ## Requires config.ldap_check_attributes_presence in devise.rb to be true
  ## Can have multiple attributes set to true or false to check presence, all must match all to be authorized
  require_attribute_presence:
    mail: true
    telephoneNumber: true
    serviceAccount: false

## Environment

development:
  host: 190.14.246.168
  port: 389
  attribute: cn
  base: ou=users,dc=camaradiecta,dc=com
  admin_user: cn=incubo,dc=camaradirecta,dc=com
  admin_password: Transformacion21
  ssl: false
  # <<: *AUTHORIZATIONS

test:
  host: 190.14.246.168
  port: 389
  attribute: cn
  base: ou=users,dc=camaradirecta,dc=com
  admin_user: cn=incubo,dc=camaradirecta,dc=com
  admin_password: Transformacion21
  ssl: simple_tls
  # <<: *AUTHORIZATIONS

production:
  host: 190.14.246.168
  port: 389
  attribute: cn
  base: ou=users,dc=camaradirecta,dc=com
  admin_user: cn=incubo,dc=camaradirecta,dc=com
  admin_password: Transformacion21
  ssl: start_tls
  # <<: *AUTHORIZATIONS
